#include <iostream>
using namespace std;
#include <iostream>
const int maxStudent = 100;
const int maxNameLen = 20;
int main() {
    	float averageList[maxStudent] ;
    	char nameList[maxStudent][maxNameLen];
    	int i, n,k;
    	float maxAve=0;
    	cout<<"  enter student number : ";
    	cin>>n;
    	for (i=0; i<n; i++) {
     		cout<<"  student # : "<< i+1<<endl ;
    		cout<<"  enter name : ";
    		cin>> nameList[i];
    		cout<<"  enter average : ";
    		cin>>averageList[i];
	    }
    		cout<<"  ";
    		for (i=0 ; i<n; i++){
    		if (averageList[i] > maxAve){
                 maxAve=averageList[i];
                 k=i;
      	}
	    }
	    cout<<"information maximum equal:"<<endl<<"  name = "<<nameList[k]<<" , max average = "<<maxAve;
	return 0;
 }
